<?php
/**
	@Author Morgan Fabre
	Page de configuration des options de Weather Layer
*/

$weatherDir = dirname(__FILE__);

require_once($weatherDir . '/config.php');

add_action('admin_menu', 'weather_layer_menu');
register_activation_hook(__FILE__, 'weather_layer_settings_default');

function weather_layer_menu()
{  
	add_plugins_page
	(  
		'Configuration de Weather Layer',
		'Weather Layer',
		'administrator',
		'weather_layer_options',
		'weather_layer_display'
	);  
	
	add_action('admin_init', 'weather_layer_settings');
}

function weather_layer_settings()
{
	register_setting('plugin_options', 'plugin_options');
	add_settings_section('main_section', 'Paramètres généraux', 'weather_layer_settings_main_section', __FILE__);
	add_settings_field('plugin_language', 'Langue', 'weather_layer_settings_language', __FILE__, 'main_section');
	add_settings_field('plugin_titleformat', 'Format du titre', 'weather_layer_settings_titleformat', __FILE__, 'main_section');
	add_settings_section('promo', 'Liens promotionnels', 'weather_layer_settings_promo', __FILE__);
	add_settings_field('plugin_branding', 'Activer les liens promotionnels', 'weather_layer_settings_branding', __FILE__, 'promo');
}

function  weather_layer_settings_main_section()
{
	echo 'Cette section vous permet de configurer les paramètres principaux du layer.';
}

function  weather_layer_settings_promo()
{
	echo 'Cette section vous permet de d\'activer les liens promotionnels affichés en-dessous du layer. Si vous décochez la case "Désactiver les liens promotionnels", la balise a sera retirée.';
}

function weather_layer_settings_branding()
{
	$options = get_option('plugin_options');
	
	echo '<input type="checkbox" id="branding" name="plugin_options[branding]" value="1" ' . ($options['branding'] ? 'checked="checked=" ' : '') . '/>';
}

function weather_layer_settings_titleformat()
{
	$options = get_option('plugin_options');
	$format = isset($options['titleformat']) && !empty($options['titleformat']) ? $options['titleformat'] : LAYER_TITLE_FORMAT;
	
	echo '<input type="text" id="titleformat" name="plugin_options[titleformat]" value="' . $format . '" />';
}

function weather_layer_settings_language()
{
	global $WL_languages;
	$options = get_option('plugin_options');
	$language = isset($options['language']) && !empty($options['language']) ? $options['language'] : LANGUAGE;
	?>
	
	<select id="language" name="plugin_options[language]">
		<?php
		foreach ($WL_languages as $language => $data) :
			$selected = ((!isset($options['language']) || empty($options['language'])) && $language == LANGUAGE)
					||	(isset($options['language']) && !empty($options['language']) && $language == $options['language']);
		?>
			<option value="<?php echo $language; ?>" <?php echo ($selected ? 'selected="selected"' : ''); ?> /><?php echo $data['Langue']; ?></option>
		<?php
		endforeach;
		?>
	</select>
	
	<?php
}

function weather_layer_settings_default()
{
    $default = array('branding' => 0, 'titleformat' => LAYER_TITLE_FORMAT);
    update_option('plugin_options', $default);
}

function weather_layer_display()
{
?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"></div>
		
		<h2>Configuration de Weather Layer</h2>
		
		<form action="options.php" method="post">
			<?php
			settings_fields('plugin_options');
			do_settings_sections(__FILE__);
			?>
			
			<p class="submit">
				<input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes'); ?>" />
			</p>
		</form>
	</div>
<?php
}
