<?php
/**
	@Author Morgan Fabre
	Configuration par défaut de Weather Layer
*/

define ('LANGUAGE', 'fr');
define ('LAYER_TITLE_FORMAT', '%ville% (%pays%)'); // Formatage du titre du layer
define ('IMAGES_PATH', '/wp-content/plugins/weather-layer/icones/'); // Répertoire des images
define ('CACHE_DURATION', 43200); // 12 heures de cache
define ('NB_DAYS', 4); // Prévisions sur 4 jours
define ('USER_AGENT', 'Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0)');
define ('COLD_CLASS', 'coldDegrees');
define ('TEMPERATE_CLASS', 'temperateDegrees');
define ('HOT_CLASS', 'hotDegrees');

// Langues & mots traduits
$WL_languages = array
(
	'fr'	=>	array
	(
		'Langue'		=>	'Français',
		'Today'			=>	'Aujourd\'hui',
		'Mon'			=>	'Lundi',
		'Tue'			=>	'Mardi',
		'Wed'			=>	'Mercredi',
		'Thu'			=>	'Jeudi',
		'Fri'			=>	'Vendredi',
		'Sat'			=>	'Samedi',
		'Sun'			=>	'Dimanche',
		'Wind'			=>	'Vent',
		'Humidity'		=>	'Humidité',
		'Soleil'		=>	'Temps clair',
		'Soleil-partiel'=>	'Soleil partiel',
		'Undefined'		=>	'Indéterminé'
	),
	
	'en'	=>	array
	(
		'Langue'		=>	'English',
		'Mon'			=>	'Monday',
		'Tue'			=>	'Tuesday',
		'Wed'			=>	'Wednesday',
		'Thu'			=>	'Thursday',
		'Fri'			=>	'Friday',
		'Sat'			=>	'Saturday',
		'Sun'			=>	'Sunday',
		'Soleil'		=>	'Sunny',
		'Soleil-partiel'=>	'Partly sunny',
		'Nuages'		=>	'Cloudy',
		'Brouillard'	=>	'Fog',
		'Pluie'			=>	'Rainy',
		'Neige'			=>	'Snowy',
		'Orages'		=>	'Thunderstorms'
	),
	
	'de'	=>	array
	(
		'Langue'		=>	'Deutsche',
		'Today'			=>	'Heute',
		'Mon'			=>	'Montag',
		'Tue'			=>	'Dienstag',
		'Wed'			=>	'Mittwoch',
		'Thu'			=>	'Donnerstag',
		'Fri'			=>	'Freitag',
		'Sat'			=>	'Samstag',
		'Sun'			=>	'Sonntag',
		'Humidity'		=>	'Feuchtigkeit',
		'Soleil'		=>	'Löschen',
		'Soleil-partiel'=>	'Teilweise sonne',
		'Nuages'		=>	'Wolken',
		'Brouillard'	=>	'Nebel',
		'Pluie'			=>	'Regen',
		'Neige'			=>	'Schnee',
		'Orages'		=>	'Gewitter',
		'Undefined'		=>	'Unbestimmt'
	),
	
	'es'	=>	array
	(
		'Langue'		=>	'Español',
		'Today'			=>	'Hoy',
		'Mon'			=>	'Lunes',
		'Tue'			=>	'Mardes',
		'Wed'			=>	'Miércoles',
		'Thu'			=>	'Jueves',
		'Fri'			=>	'Viernes',
		'Sat'			=>	'Sábado',
		'Sun'			=>	'Domingo',
		'Wind'			=>	'Viento',
		'Humidity'		=>	'Humedad',
		'Soleil'		=>	'Borrar',
		'Soleil-partiel'=>	'Parcial dom',
		'Nuages'		=>	'Nubes',
		'Brouillard'	=>	'Niebla',
		'Pluie'			=>	'Lluvia',
		'Neige'			=>	'Nieve',
		'Orages'		=>	'Tormentas',
		'Undefined'		=>	'Indeterminado'
	),
	
	'it'	=>	array
	(
		'Langue'		=>	'Italiano',
		'Today'			=>	'Oggi',
		'Mon'			=>	'Lunedi',
		'Tue'			=>	'Martedì',
		'Wed'			=>	'Mercoledì',
		'Thu'			=>	'Giovedi',
		'Fri'			=>	'Venerdì',
		'Sat'			=>	'Sabato',
		'Sun'			=>	'Domenica',
		'Wind'			=>	'Vento',
		'Humidity'		=>	'Umidità',
		'Soleil'		=>	'Cancella',
		'Soleil-partiel'=>	'Parziale dom',
		'Nuages'		=>	'Nuvole',
		'Brouillard'	=>	'Nebbia',
		'Pluie'			=>	'Pioggia',
		'Neige'			=>	'Neve',
		'Orages'		=>	'Temporali',
		'Undefined'		=>	'Indeterminato'
	),
	
	'ru'	=>	array
	(
		'Langue'		=>	'русский',
		'Today'			=>	'сегодня',
		'Mon'			=>	'понедельник',
		'Tue'			=>	'вторник',
		'Wed'			=>	'среда',
		'Thu'			=>	'четверг',
		'Fri'			=>	'пятница',
		'Sat'			=>	'суббота',
		'Sun'			=>	'воскресенье',
		'Wind'			=>	'ветер',
		'Humidity'		=>	'влажность',
		'Soleil'		=>	'Очистить',
		'Soleil-partiel'=>	'частичное солнце',
		'Nuages'		=>	'Облака',
		'Brouillard'	=>	'туман',
		'Pluie'			=>	'дождь',
		'Neige'			=>	'снег',
		'Orages'		=>	'Грозы',
		'Undefined'		=>	'неопределенный'
	)
);